{% extends 'kpi/base.html' %}
{% block title %}Отправить отчёт о выполнении показателя{% endblock %}
{% block content %}
    <div class="content-basic">
        <div class="row">
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6" style="margin-top: -15px">
                <h3>Показатель: {{ indicator.indicator.context.name }}</h3>
                Набор: {{ indicator.indicator.set.set.name }}
            </div>
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                <h4>Срок выполнения: {{ indicator.indicator.set.set.end_date|date:'d.m.Y' }}</h4>
            </div>
        </div>
        <hr>
        <div class="row">
            <div class="col-lg-8 col-lg-offset-1">
                {% if error %}
                    <h4 style="color: red;">{{ error }}</h4>
                {% endif %}
                <form method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    <div class="form-group">
                        <label for="indicator_name">Название отчёта <a id="generate">(сгенерировать)</a></label>
                        <input type="text" name="name" class="form-control" id="indicator_name"
                               placeholder="Введите название отчёта" required>
                    </div>
                    <label for="indicator_count">Выполнено</label>
                    <div class="input-group">
                        <input type="number" name="done_count" class="form-control" id="indicator_count"
                               placeholder="Введите количество" min="1" max="{{ indicator.get_not_done_count }}"
                               required>
                        <span class="input-group-addon">из оставшихся {{ indicator.get_not_done_count }}</span>
                    </div>
                    <div class="form-group">
                        <label for="indicator_description">Описание</label>
                        <textarea name="description" id="indicator_description" class="form-control" rows="3"
                                  placeholder="Введите описание"></textarea>
                    </div>
                    <div class="form-group">
                        <label for="indicator_file">Загрузить файл</label>
                        <input type="file" name="file" id="indicator_file">
                        <p class="help-block">Если вы хотите загрузить несколько файлов, упайкуйте их предварительно в
                            архив.</p>
                    </div>
                    <button type="submit" class="btn btn-primary">Сохранить</button>
                </form>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function () {
            $("#generate").click(function () {
                var now = new Date();
                var formatted_date = now.getDate() + "." + now.getMonth() + "." + now.getFullYear();
                var new_name = "Отчёт от " + formatted_date + ", отправитель {{ request.user.employee.fio }}";
                $("#indicator_name").val(new_name);
            });
        });
    </script>
{% endblock %}